<script>
import Select from "@/components/Select.vue";

export default {
  name: "Screen",
  components: {Select},
  data() {
    return {
      selectIndex: 0,
      selectIndex1: 0,
    }
  }
}
</script>

<template>
  <div class="custom-body">
    <div class="card-body">
      <div class="card-container flex flex-column">
        <div class="flex flex-jcs flex-center">
          <span>多媒体亮度调节</span>
          <span>50%</span>
        </div>
        <div class="bottom">
          <img src="../../assets/images/setting/audio/img_2.webp" alt="" />
        </div>
        <div class="mb-2">
          <span>多媒体屏保</span>
        </div>
        <div>
          <Select :style="{'height': $px2vw(69)}" :options="['关屏', '时钟1', '时钟1', '时钟1']" :selected-index="selectIndex" @changeIndex="e => selectIndex = e" />
        </div>
      </div>

      <div class="card-container flex flex-column">
        <div class="mb-2">深色模式</div>
        <Select :style="{'height': $px2vw(69)}" :options="['浅色', '深色', 'Auto']" :selected-index="selectIndex1" @changeIndex="e => selectIndex1 = e" />
      </div>

      <div class="card-container flex flex-column">
        <div class="flex flex-jcs">
          <span>整车/仪表亮度调节</span>
          <span>50%</span>
        </div>
        <img src="../../assets/images/setting/audio/img_2.webp" alt="" />
      </div>
    </div>

    <img
      src="../../assets/images/setting/screen/img.webp"
      alt=""
      class="img-signal"
    />
  </div>
</template>

<style scoped lang="scss">
.custom-body {
  display: flex;
  width: 694px;
  overflow: auto;

  .card-body {
    flex-grow: 1;

    .card-container {
      border-radius: 20px;
      background: #FFFFFF;
      padding: 40px;
      font-size: 28px;
      margin-bottom: 15px;
    }

    img {
      width: 100%;
    }
  }
}

.img-signal {
  width: 788px;
  height: 664px;
  position: absolute;
  right: 30px;
  top: 250px;
}
</style>